Class LexiconFunction

    • Constructor Detail

      • LexiconFunction

        public LexiconFunction()
    • Method Detail

      • getLexiconQuery

        public String getLexiconQuery()
        Get the cts:query specified by the user as part of the lexicon function to filter fragments used to retrieve the lexicons.

        This corresponds to the $query parameter of a lexicon function. Users may override this method if the default is not suitable.

        Returns:
        cts:query.
      • getInputQuery

        public abstract String getInputQuery​(Collection<String> nsCol,
                                             long start,
                                             long count)
        Get the input query used by a record reader. Users must not override this method.
        Parameters:
        nsCol - alias-URI pairs of namespace specs
        start - start of the split
        count - count of the split
        Returns:
        input query.
      • getUserDefinedOptions

        public String[] getUserDefinedOptions()
        Get user-defined options for the lexicon function.

        This method corresponds to the $options parameter of a lexicon function. Override this method to pass options to the lexicon function. The options skip and truncate are reserved for internal use by the connector.